"use strict";

var testConfig = require('../config');
var APIv1 = require('../../../src/doctor/include/endpoints').APIv1;

var should = require("should");
var restTemplate = require('supertest').agent(testConfig.host);

var userId = '48832ecc339111e6badcfa163e789456';

describe('API: App info', function () {
    // 获取角标数
    describe('when get badge number', function () {
        it('shout return 200 and badge number', function (done) {
            var path = APIv1.Application.Base + APIv1.Application.BadgeNo + "?user_id=" + userId;
            restTemplate.get(path)
                .end(function (err, response) {
                    console.log("User " + userId + "'s badge number: \n", response.body);

                    response.status.should.equal(200);

                    done();
                });
        });
    });
});
